#include <bits/stdc++.h>
#define int long long
using namespace std;

int fac (int n)
{
    int x=1;
    for (int i = 1; i <= n; i++)
    x*=i;
    return x;
}

void solve ()
{
    //cout << fac(17) << endl;
     int n;
    cin>>n;
    int a[n+1];
    for (int i = 1; i <= n; i++)
    cin >> a[i];
    sort(a+1,a+n+1);

    for (int i = 1; i <= fac(n); i++)
    {
        //for (int i = 1; i <= n; i++)
          //  cout << a[i] << " ";
       // cout << endl;

        int x = 0;
        for (int i = 2; i < n; i++)
        {
            //cout << a[i-1] << " " << a[i] << " " << a[i+1] << endl;
            if (a[i-1]+a[i+1] < a[i]*2)
            {
                //cout << "+" << endl;
                x=-1;
                break;
            }
        }
        if (x == 0)
        {
            cout << "YES" <<endl;
            return;
        }
        next_permutation (a+1,a+n+1);
    }

    cout << "NO" << endl;
}

int32_t main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    while (t--)
        solve();
}
